- entityDefinitions:
  - IDM_Method__get__Public_Qualifier_or_Empty_String: '{d0945634-2463-45ef-b871-56b0e613936f}'
  - IDMB_Method__get__Public_Qualifier_or_Empty_String: '{34c214c8-dc4c-487d-886f-78902aa50a02}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - conditionalSelectAttributeMethod: '&IDM_Method__get__Public_Qualifier_or_Empty_String;'
    forClassId: '&IDC_Method;'
    verb: 'get'
    name: 'Public Qualifier or Empty String'
    accessModifierId: '&IDI_AccessModifier_Public;'
    returnsAttributeId: '&IDA_Value;'
    cases:
    - globalIdentifier: '{432c4bd6-54ff-4eb8-989b-8743449e4012}'
      trueConditions:
      - instance: '&IDMB_Method__is__Public;'
      useAnyCondition: no
      returnsAttributeId: '&IDMB_Method__get__Public_Qualifier;'
    - globalIdentifier: '{672da709-8a48-41d5-a35a-9f7cc6fef9aa}'
      useAnyCondition: no
      returnsAttributeId: '&IDMB_Common_Text__get__Empty_String;'
      
  - returnAttributeMethodBinding: '&IDMB_Method__get__Public_Qualifier_or_Empty_String;'
    executesMethod: '&IDM_Method__get__Public_Qualifier_or_Empty_String;'